Package org.kie.internal.builder

## Interface InternalKieBuilder

- All Superinterfaces:
    `org.kie.api.builder.KieBuilder`

      public interface InternalKieBuilder
      extends org.kie.api.builder.KieBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.builder.KieBuilder

      `org.kie.api.builder.KieBuilder.ProjectType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.builder.KieBuilder` | `buildAll​(Predicate<String> classFilter)` | Builds all the KieBases contained in the KieModule for which this KieBuilder has been created
    `KieBuilderSet` | `createFileSet​(String... files)` |
    `KieBuilderSet` | `createFileSet​(org.kie.api.builder.Message.Level minimalLevel, String... files)` |
    `org.kie.api.builder.KieModule` | `getKieModuleIgnoringErrors()` |
    `IncrementalResults` | `incrementalBuild()` |
    `InternalKieBuilder` | `withKModuleModel​(org.kie.api.builder.model.KieModuleModel kModuleModel)` |

    - ### Methods inherited from interface org.kie.api.builder.KieBuilder

      `buildAll, buildAll, getKieModule, getKieModule, getResults, setDependencies, setDependencies`

- - ### Method Detail

    - #### createFileSet

          KieBuilderSet createFileSet​(String... files)

    - #### createFileSet

          KieBuilderSet createFileSet​(org.kie.api.builder.Message.Level minimalLevel,
                                      String... files)

    - #### getKieModuleIgnoringErrors

          org.kie.api.builder.KieModule getKieModuleIgnoringErrors()

    - #### incrementalBuild

          IncrementalResults incrementalBuild()

    - #### buildAll

          org.kie.api.builder.KieBuilder buildAll​(Predicate<String> classFilter)

      Builds all the KieBases contained in the KieModule for which this KieBuilder has been created
      Parameters:
        `classFilter` - Used to prevent compilation of Java source files. This filter will be tested on all source file names before they are compiled. Only source files for which the filter returns true will be compiled.

    - #### withKModuleModel

          InternalKieBuilder withKModuleModel​(org.kie.api.builder.model.KieModuleModel kModuleModel)